import os

import click

from nates import BASE_DIR


@click.command("format")
@click.option("--no-fix", is_flag=True, help="Check for formatting without fixing.")
def format_command(no_fix):
    """Run lint and code format check."""
    fix = "--fix" if not no_fix else ""
    cmd = f"ruff format {BASE_DIR.resolve()} && ruff check {fix} {BASE_DIR.resolve()}"
    os.system(cmd)
